## Funktion (function_spec)

Es gibt eine Reihe von Funktionen (function_spec), die auf einen Wert (Zeile) als Argument angewendet werden können und ein Ergebnis liefern. Diese Funktionen (vorgegebene und selbst definierte) und ihre Aufrufe werden in den folgenden Abschnitten vorgestellt.

### Syntax

<function_spec> ::=
<arithmetic_function>
| <trigonometric_function>
| <string_function>
| <date_function>
| <time_function>
| <extraction_function>
| <special_function>
| <conversion_function>
| <dbfunction_call>

### Beispiele

SQL-Tutorial, Funktionen

### Erläuterung

Die Argumente und Ergebnisse der Funktionen sind numerische, alphanumerische oder boolesche Werte, die gewissen Einschränkungen unterliegen. LONG-Spalten sind als Argumente nicht zulässig bis auf wenige Ausnahmen, auf die explizit hingewiesen wird.

Siehe auch:

Funktionen: Überblick